module.exports = require('../interfaces/component.interface')('number', (variable, schema, args) => {
  try {
    const n = parseInt(args, 10);

    return (n <= variable);
  } catch (e) {
    throw new TypeError(`Invalid argument (${args}) passed to maximum-number matcher.`);
  }
});
