const Component = (archetype, performCheck) => {

  let pc = performCheck;
  const ac = archetype;

  if (ac === undefined) {
    throw new ReferenceError('Matcher does not define an archetype.');
  }
  if (pc === undefined) {
    pc = (variable, schema, args) => {
      throw new ReferenceError('Function \'performCheck\' is not implemented for type.');
    };
  }

  return {
    archetype: ac,
    performCheck: pc,
  };
};

module.exports = Component;
